package com.yxproject.start.service;


import com.yxproject.start.entity.*;

import java.util.List;
import java.util.Map;

public interface TaskService {

    public List<TaskEntity> findProductionTaskListEntityByID(long id);

    public int updateProductionTask(TaskEntity taskId);

    public int addProductionTaskListEntity(TaskEntity taskEntity, List<GroupNoEntity> groupNoEntities);

    public int addQuickCyclesheetInfo(String acceptNo);

    public List<Object> findCardInfoByCardIDOrAcceptNo(String cardInfo);

    public List<Object> findAccuProductionInfo(String importDate);

    public int savePoliceStationVailedEntity(List<PoliceStationVailedEntity> policeStationVailedInfoEntities);

    public List<PoliceStationVailedEntity> find( String id);

    public List<Map<String,Object>> findProductionTaskListEntityByState(int state);

    public int addExceptionState(TaskEntity state);

    public int updateOutBoundDate(TaskEntity taskEntity, CountyListEntity countyListEntity);

    public int updateInStorageDate(TaskEntity taskEntity, CountyListEntity countyListEntity );

    public List<Map<String,Object>> findTypeListByTaskStateId( String taskStateId);

    public List<Map<String,Object>> findCityListByTaskStateId(String taskStateId);

    public List<Map<String,Object>> findCityListByCardType(String cardType);

}

